%define upstream_name    Test-Mojo-Role-SubmitForm
%define upstream_version 1.004002

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Test::Mojo role that allows to submit forms
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(FindBin)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Mojo::Base)
BuildRequires: perl(Mojo::Util)
BuildRequires: perl(Mojolicious)
BuildRequires: perl(Mojolicious::Lite)
BuildRequires: perl(Role::Tiny)
BuildRequires: perl(Test::Mojo::WithRoles)
BuildRequires: perl(Test::More)
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch: noarch

%description
A the Test::Mojo manpage role that allows you submit forms, optionally
overriding any of the values already present

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README Changes LICENSE INSTALL META.yml examples
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jan 13 2021 guillomovitch <guillomovitch> 1.4.2-1.mga8
+ Revision: 1671516
- imported package perl-Test-Mojo-Role-SubmitForm

